Skip to main content
GET
List all User Roles

Authorizations

Authorization
string
header
required

Generate a JWT access token through a Custom Global Integration and provide it with each request in the Authorization header prefixed with "Bearer" and then a single space.

Path Parameters

type
enum<string>
required

Specify the user type to which your operations will be restricted.

Available options:
any,
organization,
client

Query Parameters

filter
string

Using the filtering syntax, you may filter the results using the following fields:

  • id
  • name
sort
string

The default sort order is descending by primary key (sort=-id). The following fields are available for sorting:

  • id
  • name
count
integer

If specified as 1, the meta.count property of the response will be present and populated with the total count of items matching the query before any paging is applied. This is not included by default to improve performance in some edge cases and is not required to perform paging using the next property of the response. See paging parameters for more information.

Required range: 0 <= x <= 1
cursor_end

A cursor for use in pagination which defines the end of the next page of results, non-inclusive. For collections sorted by id this is the last id. For other sort orders use the opaque cursor provided by the previous link and meta.cursor_end of the previous page; a plain record id is also accepted and resolves to that record's position in the sort order. See paging parameters for more information on paging.

cursor_start

A cursor for use in pagination which defines the start of the next page of results. For collections sorted by id this is the starting id. For other sort orders use the opaque cursor provided by the next link and meta.cursor_start of the previous page; a plain record id is also accepted and resolves to that record's position in the sort order. See paging parameters for more information on paging.

limit
integer
default:100

A limit on the number of objects to be returned.

Required range: 1 <= x <= 1000
Example:

100

Response

A dictionary with a collection property that contains an array of up to limit UserRole objects. If no users are found the array will be empty.

collection
(OrganizationUserRole · object | ClientUserRole · object)[]

A list of UserRole objects.

An OrganizationUserRole is used to provide a specific set of permissions to an organization's user.

has_more
boolean

True if the collection has more items on the next page. Use the "next" link to retrieve the next page of results.

next
string | null

The resource path for the next page of results if any are expected.

previous
string | null

The resource path for the previous page of results if any are expected.

meta
object

Additional metadata pertaining to the response.